Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.portlet
Class Alignment

    java.lang.Object
      com.plumtree.remote.portlet.Alignment

public class Alignment
extends java.lang.Object

A type-safe enumeration that identifies the alignment of a portlet. Instances of this class can be compared using identity equality.

Field Summary
`static Alignment` | `Footer` Portlet is a footer portlet.
`static Alignment` | `Freeform` Portlet is a content canvas portlet.
`static Alignment` | `Header` Portlet is a header portlet.
`static Alignment` | `Narrow` Portlet can reside in a narrow column.
`static Alignment` | `None` No alignment defined.
`static Alignment` | `Wide` Portlet can reside only in a wide column.

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### None

    public static Alignment None

  No alignment defined.

### Narrow

    public static Alignment Narrow

  Portlet can reside in a narrow column.

### Wide

    public static Alignment Wide

  Portlet can reside only in a wide column.

### Header

    public static Alignment Header

  Portlet is a header portlet.

### Footer

    public static Alignment Footer

  Portlet is a footer portlet.

### Freeform

    public static Alignment Freeform

  Portlet is a content canvas portlet.

Method Detail

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.